//
//  FrontLayer.m
//
//  Created by Kansuke Nishida on 12/07/25.
//  Copyright 2012年 tonosamart. All rights reserved.
//

#import "FrontLayer.h"
#import "SimpleAudioEngine.h"
#import "GameData.h"
#import "TonoCocos.h"

enum {
    OBJECT_NULL,
    OBJECT_SCORE,
    OBJECT_BIGSHOT
};

@implementation FrontLayer

- (id)init{
    self = [[super init] autorelease];
    if (self) {
        // イベントの無効/有効
        self.isTouchEnabled = NO;
        self.isAccelerometerEnabled = NO;
        //レイヤーの初期化
        [self initLayer];
    }
    return self;
}

#pragma mark private

-(void)initLayer{
    CGSize winSize = [[CCDirector sharedDirector] winSize];
    
    CCLabelBMFont *scoreLabel = [CCLabelBMFont labelWithString:@"" fntFile:@"retro.fnt"];
    scoreLabel.anchorPoint = ccp(0.5f, 1.0f);
    scoreLabel.position = ccp(160, winSize.height);
    [self addChild:scoreLabel z:OBJECT_SCORE tag:OBJECT_SCORE];
    
    CCLabelBMFont *bigShotLabel = [CCLabelBMFont labelWithString:@"" fntFile:@"retro.fnt"];
    bigShotLabel.anchorPoint = ccp(0.5f, 1.0f);
    bigShotLabel.position = ccp(160, winSize.height - 32);
    [self addChild:bigShotLabel z:OBJECT_BIGSHOT tag:OBJECT_BIGSHOT];
    
    [self schedule:@selector(tick:)];
}

-(void)tick:(ccTime)dt{
    GameData *gameData = [GameData getInstance];
    
    CCLabelBMFont *scoreLabel;
    scoreLabel = (CCLabelBMFont*)[self getChildByTag:OBJECT_SCORE];
    [scoreLabel setString:[NSString stringWithFormat:@"スコア:%05d", gameData.score]];
}
@end