//
//  IntroLayer.m
//  NInvaders
//
//  Created by tonosamart on 2012/11/05.
//  Copyright __MyCompanyName__ 2012年. All rights reserved.
//


// Import the interfaces
#import "IntroLayer.h"
#import "TitleScene.h"
#import "TonoCocos.h"
#import "SimpleAudioEngine.h"

#pragma mark - IntroLayer

// HelloWorldLayer implementation
@implementation IntroLayer

// Helper class method that creates a Scene with the HelloWorldLayer as the only child.
+(CCScene *) scene
{
	// 'scene' is an autorelease object.
	CCScene *scene = [CCScene node];
	
	// 'layer' is an autorelease object.
	IntroLayer *layer = [IntroLayer node];
	
	// add layer as a child to scene
	[scene addChild: layer];

    // preload
    [[SimpleAudioEngine sharedEngine] preloadBackgroundMusic:@"game.caf"];
    [[SimpleAudioEngine sharedEngine] preloadBackgroundMusic:@"over.caf"];
    [[SimpleAudioEngine sharedEngine] preloadBackgroundMusic:@"title.caf"];
    [[SimpleAudioEngine sharedEngine] preloadEffect:@"xcapture.caf"];
    [[SimpleAudioEngine sharedEngine] preloadEffect:@"xget.caf"];
    [[SimpleAudioEngine sharedEngine] preloadEffect:@"xmiss.caf"];
    [[SimpleAudioEngine sharedEngine] preloadEffect:@"xout.caf"];
    [[SimpleAudioEngine sharedEngine] preloadEffect:@"xover.caf"];
    [[SimpleAudioEngine sharedEngine] preloadEffect:@"xshot.caf"];
    [[SimpleAudioEngine sharedEngine] preloadEffect:@"xstart.caf"];
    
	// return the scene
	return scene;
}

// 
-(void) onEnter
{
	[super onEnter];
    
	// ask director for the window size
	CGSize size = [[CCDirector sharedDirector] winSize];

	CCSprite *background;
	
	if( UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPhone ) {
        if([TonoCocos isIphone5]){
            background = [CCSprite spriteWithFile:@"Default-568h@2x.png"];
        }else{
            background = [CCSprite spriteWithFile:@"Default.png"];
        }
	} else {
		background = [CCSprite spriteWithFile:@"Default-Landscape~ipad.png"];
	}
	background.position = ccp(size.width/2, size.height/2);

	// add the label as a child to this Layer
	[self addChild: background];
	
	// In one second transition to the new scene
	[self scheduleOnce:@selector(makeTransition:) delay:1];
}

-(void) makeTransition:(ccTime)dt
{
	[[CCDirector sharedDirector] replaceScene:[CCTransitionFade transitionWithDuration:1.0 scene:[TitleScene node] withColor:ccWHITE]];
}
@end
