//
//  MainScene.m
//
//  Created by Kansuke Nishida on 12/07/25.
//  Copyright 2012年 tonosamart. All rights reserved.
//

#import "MainScene.h"
#import "TitleScene.h"
#import "GameData.h"
#import "TonoCocos.h"
#import "SimpleAudioEngine.h"

enum {
    LAYER_NULL,
    LAYER_BG,
    LAYER_MAIN,
    LAYER_FRONT,
    LAYER_STICK
};

@implementation MainScene

-(id)init{
    self = [super init];
    
    if (self) {
        self.bgLayer = [BgLayer node];
        [self addChild:self.bgLayer z:LAYER_BG tag:LAYER_BG];
        
        self.mainLayer = [MainLayer node];
        [self addChild:self.mainLayer z:LAYER_MAIN tag:LAYER_MAIN];
        
        self.stickLayer = [StickLayer node];
        [self addChild:self.stickLayer z:LAYER_STICK tag:LAYER_STICK];

        self.mode = MAINSCENE_MODE_INIT;
    }
    
    return self;
}

- (void)onEnterTransitionDidFinish{
    [super onEnterTransitionDidFinish];
    [self schedule:@selector(tick:)];
}

-(void)tick:(ccTime)dt{
    switch (self.mode) {
        case MAINSCENE_MODE_INIT:
            [self.mainLayer gameStart];

            self.frontLayer = [FrontLayer node];
            [self addChild:self.frontLayer z:LAYER_FRONT tag:LAYER_FRONT];
            
            self.mode = MAINSCENE_MODE_PLAY;
            break;
            
        case MAINSCENE_MODE_PLAY:
            if(self.mainLayer.isEndGame){
                [[SimpleAudioEngine sharedEngine] stopBackgroundMusic];
                [[CCDirector sharedDirector] replaceScene:[CCTransitionFade transitionWithDuration:1.0f scene:[TitleScene node] withColor:ccBLACK]];
                self.mode = MAINSCENE_MODE_END;
            }
            break;

        default:
            break;
    }
}

@end
