//
//  Ninja.m
//
//  Created by tonosamart on 2012/09/06.
//  Copyright (c) 2012年 tonosamart. All rights reserved.
//

#import "Ninja.h"
#import "GameData.h"
#import "TonoCocos.h"
#import "MainScene.h"

@implementation Ninja

- (id)init{
    if((self = [super init])){
        self.sprite = [CCSprite spriteWithSpriteFrameName:@"ninjya_u.png"];
        self.sprite.position = ccp(160, 132);
        self.way = NINJYA_WAY_UP;
        self.waitCount = 0;
    }
	return self;
}

-(void)dealloc{
    [super dealloc];
}

-(void)tick:(ccTime)dt{
    float x = 0;
    if(self.mainScene.stickLayer.isL){
        if(self.way != NINJYA_WAY_LEFT){
            [self.sprite stopAllActions];
            
            NSMutableArray *animFrames = [NSMutableArray array];
            [animFrames addObject:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"ninjya_l.png"]];
            [animFrames addObject:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"ninjya_l2.png"]];
            
            CCAnimation *animation = [CCAnimation animationWithSpriteFrames:animFrames delay:0.2f];
            id repeatAnim = [CCRepeatForever actionWithAction:[CCAnimate actionWithAnimation:animation]];
            [self.sprite runAction:repeatAnim];
            self.way = NINJYA_WAY_LEFT;
        }
        
        self.waitCount = 0;
        x = x - dt * NINJA_SPEED;
    }else if(self.mainScene.stickLayer.isR){
        if(self.way != NINJYA_WAY_RIGHT){
            [self.sprite stopAllActions];
            
            NSMutableArray *animFrames = [NSMutableArray array];
            [animFrames addObject:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"ninjya_r.png"]];
            [animFrames addObject:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"ninjya_r2.png"]];
            
            CCAnimation *animation = [CCAnimation animationWithSpriteFrames:animFrames delay:0.2f];
            id repeatAnim = [CCRepeatForever actionWithAction:[CCAnimate actionWithAnimation:animation]];
            [self.sprite runAction:repeatAnim];
            self.way = NINJYA_WAY_RIGHT;
        }
        
        self.waitCount = 0;
        x = x + dt * NINJA_SPEED;
    }else{
        [self.sprite stopAllActions];
        
        if(self.way == NINJYA_WAY_LEFT){
            CCSpriteFrame *sf = [[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"ninjya_l.png"];
            [self.sprite setDisplayFrame:sf];
        }else if(self.way == NINJYA_WAY_RIGHT){
            CCSpriteFrame *sf = [[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"ninjya_r.png"];
            [self.sprite setDisplayFrame:sf];
        }
        
        self.waitCount += dt;
        if(self.way != NINJYA_WAY_UP && self.waitCount >= NINJA_UP_DELAY){
            self.waitCount = 0;
            
            CCSpriteFrame *sf = [[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"ninjya_u.png"];
            [self.sprite setDisplayFrame:sf];
            self.way = NINJYA_WAY_UP;
        }
    }
    
    float xx = self.sprite.position.x + x;
    if(xx < 30){
        xx = 30;
    }else if(xx > (320 - 30)){
        xx = (320 - 30);
    }
    
    self.sprite.position = ccp(xx, self.sprite.position.y);
}

@end