//
//  TitleLayer.m
//
//  Created by Kansuke Nishida on 12/07/25.
//  Copyright 2012年 tonosamart. All rights reserved.
//

#import "TitleLayer.h"
#import "SimpleAudioEngine.h"
#import "GameData.h"
#import "AppDelegate.h"
#import "TonoCocos.h"
#import <Twitter/TWTweetComposeViewController.h>

enum {
    OBJECT_NULL,
    OBJECT_TITLE,
    OBJECT_MENU
};

enum {
    SPRITE_TITLE_NULL,
    SPRITE_TITLE_YUKA,
    SPRITE_TITLE_LOGO
};

@implementation TitleLayer

- (id)init{
    self = [super init];
    if (self) {
        // イベントの無効/有効
        self.isTouchEnabled = YES;
        self.isAccelerometerEnabled = NO;

        //
        self.isStart = NO;
        
        //レイヤーの初期化
        [self initLayer];
    }
    return self;
}

#pragma mark private

-(void)initLayer{
    CGSize winSize = [[CCDirector sharedDirector] winSize];

    // SPRITE
    [[CCSpriteFrameCache sharedSpriteFrameCache] addSpriteFramesWithFile:@"NInvadersResource.plist"];
    CCSpriteBatchNode *gameBatchNode = [CCSpriteBatchNode batchNodeWithFile:@"NInvadersResource.pvr.ccz" capacity:100];
    [self addChild:gameBatchNode z:OBJECT_TITLE tag:OBJECT_TITLE];
    
    CCSprite *sp;
    sp = [CCSprite spriteWithSpriteFrameName:@"logo.png"];
    sp.position = ccp(160, (winSize.height / 2) + 50);
    [gameBatchNode addChild:sp z:SPRITE_TITLE_LOGO tag:SPRITE_TITLE_LOGO];

    // 床
    CCSprite *yukaSprite = [CCSprite spriteWithSpriteFrameName:@"yuka.png"];
    yukaSprite.anchorPoint = ccp(0.5, 0);
    yukaSprite.position = ccp(160, 50);
    [gameBatchNode addChild:yukaSprite z:SPRITE_TITLE_YUKA tag:SPRITE_TITLE_YUKA];
}

- (void)onEnterTransitionDidFinish{
    CGSize winSize = [[CCDirector sharedDirector] winSize];

    // MENU
    CCSprite* sp = [CCSprite spriteWithSpriteFrameName:@"gamestart_off.png"];
    CCSprite* dsp = [CCSprite spriteWithSpriteFrameName:@"gamestart_on.png"];
    
    CCMenuItemSprite *playItem = [CCMenuItemSprite itemWithNormalSprite:sp
                                                         selectedSprite:dsp
                                                         disabledSprite:nil
                                                                 target:self
                                                               selector:@selector(menuPlay:)];
    playItem.position = ccp(160, (winSize.height / 2) - 80);
    
    CCMenu *menu = [CCMenu menuWithItems:playItem, nil];
    menu.position = ccp(0, 0);
    [self addChild:menu z:OBJECT_MENU tag:OBJECT_MENU];
}

-(void)menuPlay:(id)sender{
    self.isStart = YES;
}

#pragma mark GameKit delegate

-(void) achievementViewControllerDidFinish:(GKAchievementViewController *)viewController
{
	AppController *app = (AppController*) [[UIApplication sharedApplication] delegate];
	[[app navController] dismissModalViewControllerAnimated:YES];
}

-(void) leaderboardViewControllerDidFinish:(GKLeaderboardViewController *)viewController
{
	AppController *app = (AppController*) [[UIApplication sharedApplication] delegate];
	[[app navController] dismissModalViewControllerAnimated:YES];
}

-(void)ccTouchesBegan:(NSSet *)touches withEvent:(UIEvent *)event {
}
@end
